summaryrefslogtreecommitdiff
path: root/tests/cp
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-10-16 22:05:20 +0000
committerJim Meyering <jim@meyering.net>2000-10-16 22:05:20 +0000
commitad06715030e80a2d2436f7d984fbb4a9d91d9415 (patch)
treed98f748c9b9de360a4d49e75c9a1d6599d0f55aa /tests/cp
parent66a4baa8a6e72216c961c439a0e231aaca5d3677 (diff)
downloadcoreutils-ad06715030e80a2d2436f7d984fbb4a9d91d9415.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/cp')
-rwxr-xr-xtests/cp/cp-parents6
1 files changed, 4 insertions, 2 deletions
diff --git a/tests/cp/cp-parents b/tests/cp/cp-parents
index 6d36e0396..183a77a20 100755
--- a/tests/cp/cp-parents
+++ b/tests/cp/cp-parents
@@ -1,5 +1,5 @@
#!/bin/sh
-# cp -a --parents dir-specified-with-trailing-slash/ other-dir
+# cp -R --parents dir-specified-with-trailing-slash/ other-dir
# would get a failed assertion.
if test "$VERBOSE" = yes; then
@@ -26,6 +26,8 @@ fi
fail=0
-cp --parents foo/ bar || fail=1
+# With 4.0.37 and earlier (back to when?), this would fail
+# with the failed assertion from dirname.c.
+cp -R --parents foo/ bar || fail=1
(exit $fail); exit